<div class="row">
    <div class="col-md-12">
        <div class="card card-form pl-4 pr-2">
            <div class="card-header">
                <h4 class="card-title primary" id="striped-row-layout-icons">{{ routeTitle | translate }}</h4>
            </div>
            <div class="card-body">
                <div class="px-3">
                    <form novalidate [formGroup]="linkForm" (ngSubmit)="onSubmit()" class="form form-horizontal form-bordered">
                        <div class="form-body">
                            <!-- Url -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="url">{{ 'forms.fields.url' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="url" formControlName="url" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="linkForm.get('url').hasError('required') && (linkForm.get('url').dirty || linkForm.get('url').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Title -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="title">{{ 'forms.fields.title' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="title" formControlName="title" maxlength="255" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="linkForm.get('title').hasError('required') && (linkForm.get('title').dirty || linkForm.get('title').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Image -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="image">{{ 'forms.fields.image' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <app-input-file [previewUrl]="linkForm.get('image').value" (sendFile)="changeFile($event)"></app-input-file>
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="linkForm.get('image').hasError('required')">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Description -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="description">{{ 'forms.fields.description' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <textarea type="text" class="form-control" name="description" formControlName="description" name="" id="" cols="30" rows="5" maxlength="255"></textarea>
                                    </div>
                                    <em class="form-text text-muted font-small-1">
                                         *{{ 'forms.messages.maxLength' | translate:{ quantity:255 } }}  
                                    </em>
                                    <small class="form-text text-muted danger" *ngIf="linkForm.get('description').hasError('required') && (linkForm.get('description').dirty || linkForm.get('description').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Order -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="order">{{ 'forms.fields.order' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="order" formControlName="order" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="linkForm.get('order').hasError('required') && (linkForm.get('order').dirty || linkForm.get('order').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- City -->
                            <div class="form-group row last">
                                <label class="col-md-3 label-control" for="idCity">{{ 'forms.fields.city' |
                                    translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <app-select-search [formGroup]="linkForm" [controlName]="'idCity'" [bindValue]="'id'" [bindLabel]="'name'" [items]="cities" (search)="getCities($event)"></app-select-search>
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="linkForm.get('idCity').hasError('required') && (linkForm.get('idCity').dirty || linkForm.get('idCity').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            <!-- Actions -->
                            <div class="form-actions right">
                                <button type="button" class="btn btn-white black mr-1" (click)="goBack()">
                                    {{ 'forms.buttons.cancel' | translate }}
                                </button>
                                <button type="submit" class="btn btn-raised btn-secondary" [disabled]="!linkForm.valid">
                                    {{ 'forms.buttons.save' | translate }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>